> For the complete documentation index, see [llms.txt](https://docs.mosip.io/1.2.0/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mosip.io/1.2.0/interoperability/integrations/e-signet/partner-management.md).

# Partner Management

MOSIP's partner management is used to create and manage OIDC clients. Hence, three new APIs have been introduced in partner management,

* API to create an OIDC client
* API to update an OIDC client
* API to retrieve and OIDC client

<details>

<summary>How can we create a OIDC client using partner management?</summary>

In order to create a OIDC client,

* The relying party, needs to get onboarded into MOSIP using the partner management portal as a authentication partner
* The relying party needs to be mapped to a policy in MOSIP
* When the relying party is mapped to the policy, using the new [OIDC client create API](#oidc-client), a client can be created for the relying party.

**Notes:**

* A relying party can have multiple clients created against a approved mapped policy.
* When a eSignet client is created using partner management APIs, then the client ID is set as the SHA256 hash of the public key provided in the request.

</details>

There are also a few modifications in the policies in partner management for a partner opting for OIDC based authentication using eSignet.

Additional Authentication Types have been added for KYC authentication (***kycauth***), KYC Exchange (***kycexchange***) and Wallet Local Authentication (***wla***).

Below is a sample policy for a relying party who is interested in authentication using eSignet.

```json
{
  "authTokenType":"policy",
  "allowedKycAttributes":[
    {
      "attributeName":"fullName"
    },
    {
      "attributeName":"gender"
    },
    {
      "attributeName":"phone"
    },
    {
      "attributeName":"email"
    },
    {
      "attributeName":"dateOfBirth"
    },
    {
      "attributeName":"city"
    },
    {
      "attributeName":"face"
    },
    {
      "attributeName":"addressLine1"
    }
  ],
  "allowedAuthTypes":[
    {
      "authSubType":"IRIS",
      "authType":"bio",
      "mandatory":false
    },
    {
      "authSubType":"FINGER",
      "authType":"bio",
      "mandatory":false
    },
    {
      "authSubType":"",
      "authType":"otp",
      "mandatory":false
    },
    {
      "authSubType":"FACE",
      "authType":"bio",
      "mandatory":false
    },
    {
      "authSubType":"",
      "authType":"otp-request",
      "mandatory":false
    },
    {
      "authSubType":"",
      "authType":"kycauth",
      "mandatory":false
    },
    {
      "authSubType":"",
      "authType":"kycexchange",
      "mandatory":false
    },
    {
      "authSubType":"",
      "authType":"wla",
      "mandatory":false
    }
  ]
}
```

## Appendix - Create, Retrieve and Update OIDC Client APIs

{% openapi src="/files/7DhkbYEe376QygzpVuKa" path="/oidc/client" method="post" %}
[partner-management-service-openapi.json](https://1836199994-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F4EyCrLbFom7vj7UcMIUZ%2Fuploads%2Fgit-blob-81ac7b41fde303af2562b0fef2ef02c66899b843%2Fpartner-management-service-openapi.json?alt=media)
{% endopenapi %}

{% openapi src="/files/7DhkbYEe376QygzpVuKa" path="/oidc/client/{client\_id}" method="put" %}
[partner-management-service-openapi.json](https://1836199994-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F4EyCrLbFom7vj7UcMIUZ%2Fuploads%2Fgit-blob-81ac7b41fde303af2562b0fef2ef02c66899b843%2Fpartner-management-service-openapi.json?alt=media)
{% endopenapi %}

{% openapi src="/files/7DhkbYEe376QygzpVuKa" path="/oidc/client/{client\_id}" method="get" %}
[partner-management-service-openapi.json](https://1836199994-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F4EyCrLbFom7vj7UcMIUZ%2Fuploads%2Fgit-blob-81ac7b41fde303af2562b0fef2ef02c66899b843%2Fpartner-management-service-openapi.json?alt=media)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mosip.io/1.2.0/interoperability/integrations/e-signet/partner-management.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
